# Helper Scripts

## Introduction

We are providing an example helper script (called `install.sh`) that can
be used to help install and configure some of the system requirements on
your Linux server.

## Example Usage

It takes certain parameters that allow you to specify an environment according to your needs.

This set is designed to help install ActiveMQ, OpenJDK, and Tomcat:
  ```
  ./install.sh -all
  ```
This set is designed to help install OpenJDK and Tomcat:
  ```
  ./install.sh -base
  ```

## Component Versions

The script has been created to utilize variables, which allow for easy modification when necessary.
For Linux, the archive files for ActiveMQ, OpenJDK, and Tomcat must be tar.gz.
On Linux, the script will also create the necessary for Tomcat and ActiveMQ to run as a daemons
using the systemctl (`identity_tomcat.service` and `identity_activemq.service`).

Refer to the System Requirements for Identity Governance 3.7 for the required versions of
Apache ActiveMQ, Apache Tomcat, Zulu OpenJDK from Azul, and the database server
(Microsoft SQL Server, Oracle, or PostgreSQL; which you must install without the help of these scripts).

# Setup

Steps to utilize the Linux helper script.

1. Extract the zip to the Linux Server that you are going to install on.

2. a. You should have the following for Linux:
   - %base%/linux
   - %base%/linux/compressed
   - %base%/linux/install.sh
   - %base%/linux/README.md
   - %base%/linux/Sample_code_EULA.txt
   - %base%/linux/untouched
   - %base%/linux/untouched/activemq.service
   - %base%/linux/untouched/index.html
   - %base%/linux/untouched/tomcat.service

   b. Put the necessary `tar.gz` files in the compressed folder.
   For Example:
   - apache-activemq-5.16.3-bin.tar.gz
   - apache-tomcat-9.0.56.tar.gz
   - zulu8.58.0.13-ca-jdk8.0.312-linux_x64.tar.gz

3. a. Open the 'install.sh' script.

   b. Confirm the version numbers match what you have downloaded. If they do not then you will need to update the script.

   c. Confirm that the install location matches your requirement. If not, update it accordingly.

   d. Save and close the file.

4. Open a Terminal and switch to `root` (if you are not already), navigate to the %base%/linux directory, and then run the script.

   For Example:
   ```
   ./install.sh -idgov
   ./install.sh -base
   ```
   In the Terminal you will see what is happening.
   The script will also create a log file with the output.

5. After the above has completed, you can then install OSP, Identity Governance, Identity Reporting, or Workflow Engine.
